CSROOT(3)

SYNOPSIS
SUBROUTINE CSROOT (XR, XI, YR, YI)

NAME
csroot - Compute the complex square root of a complex number.

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (CSROOT-S)

AUTHOR
(UNKNOWN)

DESCRIPTION
(YR,YI) = complex sqrt(XR,XI)

SEE ALSO
EISDOC

ROUTINES CALLED
PYTHAG

REVISION HISTORY (YYMMDD)
811101 DATE WRITTEN
891214 Prologue converted to Version 4.0 format. (BAB)
900402 Added TYPE section. (WRB)